MINTPY-SMALLBASELINEAPP(1)

NAME
mintpy-smallbaselineApp - Routine Time Series Analysis for Small Baseline InSAR Stack

DESCRIPTION
usage: smallbaselineApp.py [-h] [--dir WORKDIR] [-g] [-H] [-v] [--plot]

[--start STEP] [--end STEP] [--dostep STEP]
    [customTemplateFile]

Routine Time Series Analysis for Small Baseline InSAR Stack

  positional arguments:

customTemplateFile
    custom template with option settings. ignored if the default smallbaselineApp.cfg is input.

  options:

-h, --help
    show this help message and exit

--dir WORKDIR, --work-dir WORKDIR
    work directory, (default: ./).

-g  generate default template (if it does not exist) and exit.

-H  print the default template file and exit.

-v, --version
    print software version and exit

--plot
    plot results [only] without running smallbaselineApp.

  steps processing (start/end/dostep):

    Command line options for steps processing with names are chosen from the following list:

    ['load_data', 'modify_network', 'reference_point', 'quick_overview', 'correct_unwrap_error'] ['invert_network', 'correct_LOD', 'correct_SET', 'correct_troposphere', 'deramp', 'correct_topography'] ['residual_RMS', 'reference_date', 'velocity', 'geocode', 'google_earth', 'hdfeos5']

    In order to use either --start or --dostep, it is necessary that a previous run was done using one of the steps options to process at least through the step immediately preceding the starting step of the current run.

--start STEP
    start processing at the named step (default: load_data).

--end STEP, --stop STEP
    end processing at the named step (default: hdfeos5)

--dostep STEP
    run processing at the named step only

  reference:

    Yunjun, Z., H. Fattahi, and F. Amelung (2019), Small baseline InSAR time series analysis: Unwrapping error correction and noise reduction, Computers & Geosciences, 133, 104331, doi:10.1016/j.cageo.2019.104331.

  example:

smallbaselineApp.py
    #run with default template 'smallbaselineApp.cfg'

smallbaselineApp.py <custom_template>
    #run with default and custom templates

smallbaselineApp.py -h / --help
    #help

smallbaselineApp.py -H
    #print default template options

smallbaselineApp.py -g
    #generate default template if it does not exist

smallbaselineApp.py -g <custom_template>
    #generate/update default template based on custom template

smallbaselineApp.py --plot
    #plot results without run

    # Run with --start/stop/dostep options smallbaselineApp.py GalapagosSenDT128.template --dostep velocity #run at step 'velocity' only smallbaselineApp.py GalapagosSenDT128.template --end load_data #end after step 'load_data'